'use strict';

var BN = require('bn.js');
var mimcsponge = require('./mimcsponge.js');

const SECP256K1_CURVE_N = "fffffffffffffffffffffffffffffffebaaedce6af48a03bbfd25e8cd0364141";
// creates sub-keys via MiMC hash, output keys are not padded
function subkey(keyHex, input) {
  const privKeyBuf = new BN(keyHex, "hex").toString(10);
  // TODO: check against existing usage of mimc
  // TODO: check that MPC is possible with mimc, with tests
  const inputPath = new BN(input).umod(new BN(SECP256K1_CURVE_N, "hex")).toString(10);
  const output = mimcsponge.mimcHash(1, privKeyBuf, inputPath);
  return output.xL.toString(16);
}

exports.SECP256K1_CURVE_N = SECP256K1_CURVE_N;
exports.subkey = subkey;
