import { AUTH_ACTIONS_TYPE, AuthOptions, AuthSessionData, AuthUserInfo, LoginParams, SocialMfaModParams } from "../utils";
export declare class Auth {
    state: AuthSessionData;
    options: AuthOptions;
    private sessionManager;
    private currentStorage;
    private _storageBaseKey;
    private dappState;
    private addVersionInUrls;
    private authProvider;
    private authProviderPromise;
    constructor(options: AuthOptions);
    get privKey(): string;
    get coreKitKey(): string;
    get ed25519PrivKey(): string;
    get coreKitEd25519Key(): string;
    get sessionId(): string;
    get sessionNamespace(): string;
    get appState(): string;
    get baseUrl(): string;
    private get dashboardUrl();
    init(): Promise<void>;
    login(params: LoginParams): Promise<{
        privKey: string;
    } | null>;
    postLoginInitiatedMessage(params: LoginParams, nonce?: string): Promise<void>;
    postLoginCancelledMessage(nonce: string): Promise<void>;
    logout(): Promise<void>;
    enableMFA(params: Partial<LoginParams>): Promise<boolean>;
    manageMFA(params: Partial<LoginParams>): Promise<void>;
    manageSocialFactor(actionType: AUTH_ACTIONS_TYPE, params: SocialMfaModParams & Pick<LoginParams, "appState">): Promise<boolean>;
    addAuthenticatorFactor(params: Pick<LoginParams, "appState">): Promise<boolean>;
    addPasskeyFactor(params: Pick<LoginParams, "appState">): Promise<boolean>;
    cleanup(): Promise<void>;
    getUserInfo(): AuthUserInfo;
    private createLoginSession;
    private _authorizeSession;
    private updateState;
    private rehydrateSession;
    private authHandler;
}
