import type { ec as EllipticCurve } from "elliptic";
export declare const STARKNET_NETWORKS: {
    mainnet: string;
    testnet: string;
};
export type STARTNET_NETWORK_TYPE = (typeof STARKNET_NETWORKS)[keyof typeof STARKNET_NETWORKS];
/**
 * param- privKey secp256k1 private key in hex format
 * param- accountIndex accountIndex represents an index of the possible associated wallets derived from the seed.
 * param- starknetType corresponding startnet network (refer to STARKNET_NETWORKS type for possible values)
 * returns Calculates the stark key pair based on the STARTNET_NETWORK_TYPE and a given index.
 */
export declare function getStarkHDAccount(privKey: string, accountIndex: number, starknetType: STARTNET_NETWORK_TYPE): EllipticCurve.KeyPair;
